Bug 53869 - xfontsel locks X server
xfontsel locks X server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-20 10:04 EDT by Ray Muno
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-20 15:52:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Muno 2001-09-20 10:04:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-SGI_XFS_1.0.1smp i686)

Description of problem:
Using xfontsel, we can repeatedly lock the Xserver.  The machine becomes
completely unusable from the main console. You cannot switch to a text
console or kill the X server with ctrl-backspace.  You can still log in
remotely but root cannot kill any X related processes.  Init 3 has no
effect either.  The only recourse is a reboot.  We can do this on any
Redhat 7.1 (SGI XFS 1.01) machine we have. It does not matter what video
card or driver we are running.


Version-Release number of selected component (if applicable):

rpm -qf /usr/X11R6/bin/xfontsel
XFree86-tools-4.0.3-5


How reproducible:
Always

Steps to Reproduce:
1.run xfontsel
2.pick  misc(fndry) fixed(fmly) ptsz(160) 
3.machine locks hard.  Power cycle or reboot from a remote connection.
	

Actual Results:  The machine locks the graphics display hard.

Expected Results:  I should be able to pick a font.  Some combinations
work.  The above one always
results in a lockup.

Additional info:

I have seen similar display lockups as well but never reproducible like
this.
Comment 1 Mike A. Harris 2001-10-01 09:14:12 EDT
I've reproduced this on a 16Mb Voodoo 3 AGP card as root and user,
in 1024x768x16 with DRI enabled.

On a Radeon QD (5144) however it does not crash.  It does act odd
however, and display an improper font table.  Switching to 140/200/etc.
works, choosing 160 displays only "N/L".

There is definitely a bug here.  Can you please provide me a list of
some hardware you've tried this on and could reproduce, and also
add your X configuration and X log files as file attachments using
the link below?

It might aide me in debugging.  Thanks for your bug report.
Comment 2 Mike A. Harris 2002-12-20 14:45:53 EST
This problem appears to be fixed in current rawhide XFree86.  It may or may
not be fixed in XFree86 4.2.0 or 4.2.1 perhaps also.  I don't have a 4.2.x
setup currently installed to test with however.

Have you tried RHL 7.2/7.3 or 8.0?  Just curious if anyone is able to
reproduce the problem on any of those releases?
Comment 3 Mike A. Harris 2002-12-20 15:52:49 EST
Ok, I've just got a whackload of guinea pigs in IRC to test this in 7.3 and 8.0
on a wild array of hardware.  So far no lockups reported.  I'm going to close
this one as fixed in Red Hat Linux 7.3 and 8.0 for now, but if you find the
problem still exists in any release please reopen.

Thanks

Note You need to log in before you can comment on or make changes to this bug.